package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaFurnitureTable;
import com.ruoyi.oa.domain.vo.OaFurnitureTableVo;
import com.ruoyi.oa.domain.bo.OaFurnitureTableBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 家具Service接口
 *
 * @author liujingchao
 * @date 2025-07-08
 */
public interface IOaFurnitureTableService {

    /**
     * 查询家具
     */
    OaFurnitureTableVo queryById(Long furnitureId);

    /**
     * 查询家具列表
     */
    TableDataInfo<OaFurnitureTableVo> queryPageList(OaFurnitureTableBo bo, PageQuery pageQuery);

    /**
     * 查询家具列表
     */
    List<OaFurnitureTableVo> queryList(OaFurnitureTableBo bo);

    /**
     * 新增家具
     */
    Boolean insertByBo(OaFurnitureTableBo bo);

    /**
     * 修改家具
     */
    Boolean updateByBo(OaFurnitureTableBo bo);

    /**
     * 校验并批量删除家具信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
